<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <ImageView
            android:id="@+id/iv_header_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            android:src="@drawable/bg_login_header"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_status_bar"
            android:layout_width="match_parent"
            android:layout_height="1px"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_marginEnd="8dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_11"
            android:src="@drawable/bg_home_header2"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

        <ImageView
            android:id="@+id/iv_app_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="25dp"
            android:src="@drawable/icon_app_name_word"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar"
            app:layout_goneMarginTop="@dimen/dp_25" />

        <ImageView
            android:visibility="gone"
            android:id="@+id/iv_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="5dp"
            android:paddingStart="12dp"
            android:paddingTop="12dp"
            android:paddingEnd="12dp"
            android:paddingBottom="12dp"
            android:src="@drawable/icon_scan_for_teacher"
            app:layout_constraintBottom_toBottomOf="@+id/iv_chat"
            app:layout_constraintRight_toLeftOf="@+id/iv_chat"
            app:layout_constraintTop_toTopOf="@+id/iv_chat" />


        <ImageView
            android:id="@+id/iv_chat"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="34dp"
            android:layout_marginEnd="20dp"
            android:src="@drawable/icon_home_chat"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

        <View
            android:id="@+id/view_unread_message"
            android:layout_width="@dimen/dp_7"
            android:layout_height="@dimen/dp_7"
            android:background="@drawable/bg_red_ovil"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/iv_chat"
            app:layout_constraintTop_toTopOf="@+id/iv_chat"
            tools:visibility="visible" />

        <View
            android:id="@+id/view_chat_red_point"
            android:layout_width="6dp"
            android:layout_height="6dp"
            android:background="@drawable/shape_red_point"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/iv_chat"
            app:layout_constraintTop_toTopOf="@+id/iv_chat" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="52dp"
            android:layout_height="52dp"
            android:layout_marginLeft="@dimen/dp_14"
            android:layout_marginTop="37dp"
            android:src="@drawable/icon_teacher_default_head"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_app_name" />

        <TextView
            android:id="@+id/tv_nickname"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginBottom="10dp"
            android:includeFontPadding="false"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_18"
            app:layout_constraintBottom_toTopOf="@+id/rating_bar"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="游客12e32td" />

        <com.cooleshow.base.widgets.BadgeIconListView
            android:id="@+id/ll_badge"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"
            app:layout_constraintLeft_toRightOf="@+id/tv_nickname"
            app:layout_constraintRight_toLeftOf="@+id/iv_scan"
            app:layout_constraintTop_toTopOf="@+id/tv_nickname" />

        <!--        <ImageView-->
        <!--            android:id="@+id/iv_teacher_entry_tag"-->
        <!--            android:layout_width="wrap_content"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginStart="6dp"-->
        <!--            android:src="@drawable/icon_teahcer_entry_tag"-->
        <!--            android:visibility="gone"-->
        <!--            app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"-->
        <!--            app:layout_constraintLeft_toRightOf="@+id/tv_nickname"-->
        <!--            app:layout_constraintTop_toTopOf="@+id/tv_nickname" />-->

        <!--        <ImageView-->
        <!--            android:id="@+id/iv_teacher_music_person_tag"-->
        <!--            android:layout_width="wrap_content"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginStart="3dp"-->
        <!--            android:src="@drawable/icon_teacher_music_person_tag"-->
        <!--            android:visibility="gone"-->
        <!--            app:layout_constraintBottom_toBottomOf="@+id/iv_teacher_entry_tag"-->
        <!--            app:layout_constraintLeft_toRightOf="@+id/iv_teacher_entry_tag"-->
        <!--            app:layout_constraintTop_toTopOf="@+id/iv_teacher_entry_tag" />-->

        <RatingBar
            android:id="@+id/rating_bar"
            style="@style/HomeRatingBar"
            android:layout_width="wrap_content"
            android:layout_height="19dp"
            android:numStars="5"
            android:rating="0"
            android:stepSize="1"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_nickname"
            app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

        <TextView
            android:id="@+id/tv_no_score"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂无评分"
            android:textSize="@dimen/sp_13"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_nickname"
            app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

        <ImageView
            android:id="@+id/iv_certification_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="25dp"
            android:src="@drawable/icon_home_un_certification"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
            app:layout_constraintTop_toBottomOf="@+id/rating_bar" />

        <View
            android:id="@+id/certification_tip_help_view"
            android:layout_width="1px"
            android:layout_height="1px"
            android:layout_marginBottom="15dp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_certification_status"
            app:layout_constraintLeft_toLeftOf="@+id/iv_certification_status" />

        <ImageView
            android:id="@+id/iv_un_certification_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:src="@drawable/icon_home_certification_tip"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/certification_tip_help_view" />

        <TextView
            android:id="@+id/tv_fans_title"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:layout_marginTop="16dp"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:text="粉丝"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
            app:layout_constraintTop_toBottomOf="@+id/iv_avatar" />

        <TextView
            android:id="@+id/tv_course_num_complete_title"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:text="已上课时"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@+id/tv_fans_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_fans_title"
            app:layout_constraintTop_toTopOf="@+id/tv_fans_title" />

        <TextView
            android:id="@+id/tv_course_num_no_start_title"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:text="未上课时"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@+id/tv_fans_title"
            app:layout_constraintLeft_toRightOf="@+id/tv_course_num_complete_title"
            app:layout_constraintTop_toTopOf="@+id/tv_fans_title" />


        <TextView
            android:id="@+id/tv_fans_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_17"
            app:layout_constraintLeft_toLeftOf="@+id/tv_fans_title"
            app:layout_constraintRight_toRightOf="@+id/tv_fans_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_fans_title"
            tools:text="1344" />

        <TextView
            android:id="@+id/tv_course_num_completed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_17"
            app:layout_constraintLeft_toLeftOf="@+id/tv_course_num_complete_title"
            app:layout_constraintRight_toRightOf="@+id/tv_course_num_complete_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_course_num_complete_title"
            tools:text="34" />

        <TextView
            android:id="@+id/tv_course_num_not_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_17"
            app:layout_constraintLeft_toLeftOf="@+id/tv_course_num_no_start_title"
            app:layout_constraintRight_toRightOf="@+id/tv_course_num_no_start_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_course_num_no_start_title"
            tools:text="34" />

        <androidx.constraintlayout.widget.Group
            android:id="@+id/group_teacher_extra"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="invisible"
            app:constraint_referenced_ids="tv_course_num_not_start,tv_course_num_completed,tv_fans_num,tv_fans_title,tv_course_num_complete_title,tv_course_num_no_start_title" />


        <androidx.cardview.widget.CardView
            android:id="@+id/fl_top_menu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="14dp"
            android:visibility="visible"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintTop_toBottomOf="@+id/tv_fans_num">

            <androidx.viewpager.widget.ViewPager
                android:id="@+id/viewpager_menu"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_90"
                android:overScrollMode="never"
                android:scrollbars="none" />
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/bg_announcement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="14dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            android:visibility="visible"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/fl_top_menu"
            app:layout_goneMarginTop="@dimen/dp_20">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                >

                <ImageView
                    android:id="@+id/iv_bell"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:src="@drawable/icon_home_bell"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_notice_content"
                    android:layout_width="wrap_content"
                    android:layout_height="44dp"
                    android:layout_marginStart="2dp"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toRightOf="@+id/iv_bell"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="网络教室升级公告" />

                <ImageView
                    android:id="@+id/im_notice_list"
                    android:layout_width="@dimen/dp_38"
                    android:layout_height="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_1"
                    android:padding="@dimen/dp_10"
                    android:src="@drawable/icon_calendar_next_month"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_live"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_70"
            android:layout_marginLeft="@dimen/dp_14"
            android:layout_marginTop="@dimen/dp_12"
            android:layout_marginRight="@dimen/dp_14"
            android:background="@drawable/bg_white_10dp"
            android:visibility="gone"
            app:layout_constraintTop_toBottomOf="@+id/bg_announcement"
            tools:visibility="visible">

            <ImageView
                android:id="@+id/alarm_icon"
                android:layout_width="@dimen/dp_15"
                android:layout_height="@dimen/dp_15"
                android:layout_marginLeft="@dimen/dp_19"
                android:src="@mipmap/small_alarm_clock"
                app:layout_constraintBottom_toBottomOf="@+id/tv_live_time"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tv_live_time" />

            <TextView
                android:id="@+id/tv_live_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_18"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_120"
                android:ellipsize="end"
                android:lineHeight="@dimen/dp_28"
                android:lines="1"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_16"
                android:textStyle="bold"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="竖笛直播课即将开始" />

            <TextView
                android:id="@+id/tv_live_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginTop="@dimen/dp_1"
                android:layout_marginBottom="@dimen/dp_5"
                android:textColor="@color/color_FF806F"
                android:textSize="@dimen/sp_13"
                app:layout_constraintLeft_toRightOf="@+id/alarm_icon"
                app:layout_constraintTop_toBottomOf="@+id/tv_live_title"
                tools:text="今日 16:30-17:05" />

            <TextView
                android:id="@+id/tv_go_live"
                android:layout_width="@dimen/dp_72"
                android:layout_height="@dimen/dp_28"
                android:layout_marginRight="@dimen/dp_19"
                android:background="@drawable/shape_course_status_ing"
                android:gravity="center"
                android:text="进入课堂"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>


        <androidx.cardview.widget.CardView
            android:id="@+id/card_mine_course"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="5dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/card_after_class_homework"
            app:layout_constraintTop_toBottomOf="@+id/cl_live">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_mine_course" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="@string/home_mine_course_str"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_mine_course_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="本周剩余\n0课时"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />


            </LinearLayout>
        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:id="@+id/card_after_class_homework"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="14dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintLeft_toRightOf="@+id/card_mine_course"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/card_mine_course">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_homework" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="课后作业"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_after_class_homework_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="本周共0节课\n未布置作业"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/card_after_class_assess"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginTop="12dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintLeft_toLeftOf="@+id/card_mine_course"
            app:layout_constraintRight_toRightOf="@+id/card_mine_course"
            app:layout_constraintTop_toBottomOf="@+id/card_mine_course">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_appraisal" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="课后评价"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_after_class_assess_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="剩余0节\n尚未评价"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/card_mine_music_sheet"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginTop="12dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintLeft_toLeftOf="@+id/card_after_class_homework"
            app:layout_constraintRight_toRightOf="@+id/card_after_class_homework"
            app:layout_constraintTop_toBottomOf="@+id/card_after_class_homework">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_sheet_music" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="我的乐谱"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_mine_music_sheet_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="共 0 支\n乐谱"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:id="@+id/card_mine_assess"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginTop="12dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintLeft_toLeftOf="@+id/card_mine_course"
            app:layout_constraintRight_toRightOf="@+id/card_mine_course"
            app:layout_constraintTop_toBottomOf="@+id/card_after_class_assess">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_receive_appraisal" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="我收到的评价"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_mine_assess_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="本周收到\n0 个评价"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/card_Kotofusa"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginTop="12dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintLeft_toLeftOf="@+id/card_after_class_homework"
            app:layout_constraintRight_toRightOf="@+id/card_after_class_homework"
            app:layout_constraintTop_toBottomOf="@+id/card_mine_music_sheet">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_mine_piano_course" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="云酷琴房"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_mine_Kotofusa_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="剩余\n0 分钟"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:id="@+id/card_mine_income"
            android:layout_width="0dp"
            android:layout_height="105dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="@dimen/dp_20"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="10dp"
            app:cardElevation="2dp"
            app:cardPreventCornerOverlap="true"
            app:cardUseCompatPadding="false"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@+id/card_mine_course"
            app:layout_constraintRight_toRightOf="@+id/card_mine_course"
            app:layout_constraintTop_toBottomOf="@+id/card_mine_assess">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:src="@drawable/icon_home_mine_income" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="18dp"
                android:orientation="vertical"
                android:paddingEnd="18dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="我的收入"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_mine_income_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3dp"
                    android:includeFontPadding="false"
                    android:text="本月收入\n0.00 元"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>